Bug 480743 - remove dependency on chkconfig
remove dependency on chkconfig
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: module-init-tools (Show other bugs)
17
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Masters
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 516998 FedoraServerTracker 553634
  Show dependency treegraph
 
Reported: 2009-01-20 03:47 EST by Daniel Mach
Modified: 2013-07-05 00:00 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 553634 (view as bug list)
Environment:
Last Closed: 2013-07-05 00:00:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Mach 2009-01-20 03:47:43 EST
I think that chkconfig is needed only for this part of %post:

# get rid of the old installations on upgrade
if [ -x /etc/rc.d/init.d/kerneld ] ; then
    /sbin/chkconfig --del kerneld
fi


Can you remove these lines and chkconfig dependency?
I suppose that kerneld is obsoleted for many years.
Comment 1 Tomas Mraz 2009-01-22 09:39:24 EST
IMO chkconfig should be a part of the minimum install. But of course I am not against removing the dependency if it is bogus.
Comment 2 Bug Zapper 2009-06-09 06:48:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Daniel Mach 2009-08-10 09:04:28 EDT
(In reply to comment #1)
> IMO chkconfig should be a part of the minimum install. But of course I am not
> against removing the dependency if it is bogus.  

I think you can safely remove this dependency.
Chkconfig is definitely pulled somehow else into the installation package set.
Comment 4 Karel Volný 2010-01-08 08:47:03 EST
the bug is still valid, ping, pls, could this be resolved?
Comment 5 Daniel Mach 2010-01-13 08:11:43 EST
F11 looks good now, but F12 and rawhide still contain:
Prereq: /sbin/chkconfig
Comment 6 Jon Masters 2010-01-18 18:12:09 EST
Weird. Ok. I'll respin this.
Comment 7 Bug Zapper 2010-03-15 08:24:20 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Marcela Mašláňová 2010-11-02 10:59:30 EDT
In F-{13,14,15} is still in prereq chkconfig, but it's not used in spec file. Could you remove it?
This should be removed during merge review, which was never finished #226157.
Comment 9 Jon Masters 2010-11-02 17:06:52 EDT
ok
Comment 10 Bug Zapper 2011-06-02 14:17:31 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Karel Volný 2011-06-15 13:32:05 EDT
still valid ...

[kvolny@kvolny ~]$ rpm -q module-init-tools
module-init-tools-3.16-1.fc15.x86_64
[kvolny@kvolny ~]$ rpm -q -R module-init-tools
/bin/sh  
/sbin/chkconfig  
config(module-init-tools) = 3.16-1.fc15
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.14)(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
libc.so.6(GLIBC_2.3)(64bit)  
libc.so.6(GLIBC_2.3.4)(64bit)  
libc.so.6(GLIBC_2.4)(64bit)  
libc.so.6(GLIBC_2.7)(64bit)  
libc.so.6(GLIBC_2.8)(64bit)  
libgcc_s.so.1()(64bit)  
libgcc_s.so.1(GCC_3.0)(64bit)  
libgcc_s.so.1(GCC_3.3.1)(64bit)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1                                                                                                                                         
rpmlib(PayloadFilesHavePrefix) <= 4.0-1                                                                                                                                
rtld(GNU_HASH)                                                                                                                                                         
sh-utils                                                                                                                                                               
rpmlib(PayloadIsXz) <= 5.2-1
Comment 12 Fedora End Of Life 2012-08-07 16:08:52 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Fedora End Of Life 2013-07-04 02:42:00 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Tom "spot" Callaway 2013-07-05 00:00:48 EDT
dead.package, closing WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.